Subject: Re: Kernel booting issues on a MPC8270 board

From: Randy Vinson <[email-masked]>
Date: Fri, 21 Jan 2005 13:51:29 -0700

annamaya wrote:
> I debugged this problem a little more and realized
> that the reset was happenning right after the
> execution of the first kernel instruction at
> 0x0000000c. The instruction at this location was
> "mfpvr r28". I traced this back to a snippet of code
> that was dealing with pipeline depth issues on the
> MPC8260. Once I commented this code out, more
> instructions were issued but the reboot happens
> elsewhere. I am not able to pin-point the location of
> the debug since my BDI fails to catch the reset when
> it happens. Can someone point me to the cause of this
> situation? Thanks in advance.

I'm not familiar with the 8260, but this sounds very much like a 
hardware watchdog is expiring somewhere. Check to see if the hardware 
has an on-board watchdog (most likely in the timer section of the 8260) 
and see if the firmware has armed it. If so, you'll need to add a 
snippet of code to disable the watchdog to allow boot-up to complete.

		Randy Vinson